Loading...
Searching...
No Matches
casacore::ShapesFileReader Class Reference

`#include <ShapesFileReader.h>`

## Public Member Functions

| ShapesFileReader (const std::string &filename)
IPosition | Read ()
bool | Eof () const

## Private Member Functions

void | FillCache ()

## Private Attributes

std::vector< uint64_t > | buffer_
std::vector< uint64_t >::const_iterator | buffer_position_
std::vector< std::byte > | compressed_buffer_
deflate::Decompressor | decompressor_
std::ifstream | file_

## Detailed Description

Definition at line 12 of file ShapesFileReader.h.

## Constructor & Destructor Documentation

## ShapesFileReader()

casacore::ShapesFileReader::ShapesFileReader | ( | const std::string & | filename | ) |

inline

Definition at line 14 of file ShapesFileReader.h.

References buffer_, buffer_position_, casacore::end(), and file_.

## Member Function Documentation

## Eof()

bool casacore::ShapesFileReader::Eof | ( |  | ) | const

inline

Definition at line 32 of file ShapesFileReader.h.

References file_.

## FillCache()

void casacore::ShapesFileReader::FillCache | ( |  | ) |

inline private

Definition at line 35 of file ShapesFileReader.h.

References buffer_, buffer_position_, compressed_buffer_, decompressor_, and file_.

Referenced by Read().

## Read()

IPosition casacore::ShapesFileReader::Read | ( |  | ) |

inline

Definition at line 19 of file ShapesFileReader.h.

References buffer_, buffer_position_, FillCache(), casacore::NewDelAllocator< T >::value, and casacore::size().

## Member Data Documentation

## buffer_

std::vector<uint64_t> casacore::ShapesFileReader::buffer_

private

Definition at line 58 of file ShapesFileReader.h.

Referenced by FillCache(), Read(), and ShapesFileReader().

## buffer_position_

std::vector<uint64_t>::const_iterator casacore::ShapesFileReader::buffer_position_

private

Definition at line 59 of file ShapesFileReader.h.

Referenced by FillCache(), Read(), and ShapesFileReader().

## compressed_buffer_

std::vector<std::byte> casacore::ShapesFileReader::compressed_buffer_

private

Definition at line 60 of file ShapesFileReader.h.

Referenced by FillCache().

## decompressor_

deflate::Decompressor casacore::ShapesFileReader::decompressor_

private

Definition at line 61 of file ShapesFileReader.h.

Referenced by FillCache().

## file_

std::ifstream casacore::ShapesFileReader::file_

private

Definition at line 62 of file ShapesFileReader.h.

Referenced by Eof(), FillCache(), and ShapesFileReader().

The documentation for this class was generated from the following file:

- tables/AlternateMans/ShapesFileReader.h